@charset "utf-8";
/* CSS default document - BOTES ELEKTRIK */
@font-face {
    font-family: exo2;
    font-style: normal;
    font-weight: 400;
    src: url("../fonts/exo2-regular.woff") format('woff2'), url('../fonts/exo2-regular.woff') format('woff'), url('../fonts/exo2-regular.ttf') format('truetype'), url('../fonts/exo2-regular.svg#exo2') format('svg');
}
/* allgemein ------------------------------------------------------------ */
* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}
img {
    max-width: 100%;
    height: auto;
}
body {
    font: 400 1rem exo2, Trebuchet MS, Verdana, sans-serif;
    color: #444;
    background: url("../img/background.jpg") center top fixed;
    background-size: cover;
}
/*  Desktop version ---------------------------------------------------- */
/*  Desktop version ---------------------------------------------------- */
@media screen and (min-width:901px) {
    h1 {
        text-align: center;
        padding: 4rem 0;
    }
    h2 {
        text-align: center;
    }
    h1.underline {
        border-bottom: 1px solid #ebebeb;
    }
    h3 {
        color: yellowgreen;
        border-bottom: 1px solid;
        padding-bottom: 5px;
        margin-bottom: 5px;
    }
    p {
        margin: 20px 0;
    }
    article {
        margin: 2rem 0;
    }
    section {
        margin: 4rem 0;
    }
    .lineh1-5rem p {
        line-height: 1.5rem;
    }
    /* Header Bereich --------------------------------*/
    header {
        background-color: dimgray;
        color: whitesmoke;
        line-height: 3rem;
    }
    .left-top-bar {
        float: left;
        margin: 0 30px 0 15px;
    }
    .middle-top-bar {
        float: right;
        margin: 0 25px;
    }
    .right-top-bar {
        float: right;
        margin: 0 45px;
    }
    .left-top-bar i {
        margin: 0 5px 0 0;
    }
    .middle-top-bar a {
        color: whitesmoke;
        font-size: 2rem;
        margin: 0 5px;
    }
    .fa-facebook:hover {
        color: yellowgreen;
    }
    .fa-instagram:hover {
        color: yellowgreen;
    }
    span.right-top-bar img:hover {
        filter: grayscale(0.5);
    }
    /* topnav container ----------------------------------- */
    #topnav-container {
        background: white;
        z-index: 100;
    }
    #topnav-container.sticky {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
    }
    #topnav-container.sticky + main {
        margin-top: 100px;
    }
    #nav-flex-cont {
        display: -ms-flexbox;
        display: flex;
        flex-basis: 100%;
        height: 100px;
        align-items: center;
    }
    #nav-flex-cont > img {
        width: 80px;
        display: flex;
        margin: 0px 1vw;
    }
    #nav-flex-cont > div:first-of-type {
        display: flex;
        padding: 0px 2vw;
        letter-spacing: 1.5px;
    }
    #nav-flex-cont > div:last-of-type {
        display: flex;
        flex-basis: 50%;
        margin-left: auto;
    }
    #nav-flex-cont > div > p {
        color: yellowgreen;
        font-size: 1.5rem;
        font-weight: bold;
        text-shadow: 1px 1px 3px;
        letter-spacing: 5px;
    }
    #nav-flex-cont > div > p > span {
        color: #444;
        font-weight: normal;
        text-shadow: none;
        border-top: 1px solid;
        font-size: 0.7rem;
        letter-spacing: 2.5px;
        margin-top: 5px;
        padding-top: 2px;
    }
    /* navigation ------------------------------------*/
    #topnav {
        width: 100%;
    }
    #topnav ul {
        list-style: none;
    }
    #topnav li {
        float: left;
        width: 20%;
        text-align: center;
    }
    #topnav a {
        text-decoration: none;
        color: inherit;
        display: inline-block;
        line-height: 1.5rem;
        position: relative;
    }
    #topnav a::after {
        bottom: 0;
        content: "";
        display: block;
        height: 2px;
        left: 50%;
        position: absolute;
        background-color: yellowgreen;
        transition: width 0.3s ease 0s, left 0.3s ease 0s;
        width: 0;
    }
    #topnav a:hover::after {
        width: 100%;
        left: 0;
    }
    #navchecker {
        display: none;
    }
    /* main Bereich ---------------------------------- */
    /* Bereich 3 IMG mit lists fúr "Sluzby" */
    .rahmen {
        float: left;
        width: calc(100%/3);
        height: 400px;
        position: relative;
        overflow: hidden;
        background: dimgray;
    }
    .rahmen img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    .rahmen ul {
        list-style: none;
    }
    .rahmen a {
        text-decoration: none;
        color: inherit;
    }
    .rahmen a:hover {
        color: yellowgreen;
    }
    .rahmen:hover img {
        opacity: 0.1;
    }
    /* h2 -------------------------- */
    .rahmen h2 {
        position: absolute;
        top: 88%;
        left: 3%;
        color: black;
        transition: 1s;
    }
    .rahmen h2::before {
        content: "";
        display: block;
        height: 5px;
        width: 50px;
        margin-bottom: 5px;
        background-color: red;
    }
    .rahmen:hover h2 {
        top: 5%;
        color: yellowgreen;
    }
    .rahmen:hover h2::before {
        content: "";
        display: block;
        height: 5px;
        width: 50px;
        margin-bottom: 2px;
        background-color: yellowgreen;
    }
    /* ul ------------------------*/
    .rahmen ul {
        position: absolute;
        top: 100%;
        left: 3%;
        color: whitesmoke;
        line-height: 150%;
        transition: 1s;
    }
    .rahmen:hover ul {
        top: 20%;
    }
    /* section naradie Bereich --------------------- */
    #naradie article img {
        float: left;
    }
    #naradie figure img {
        height: 4vh;
        margin: 1vh;
    }
    /* section partneri Bereich --------------------- */
    #partneri figure img {
        height: 12vh;
        margin: 1vh;
        border: 3px solid #a9a9a9;
        padding: 1vh;
    }
    #partneri figure img:hover {
        border-color: yellowgreen;
    }
    #partneri figure figcaption {
        text-align: center;
    }
    /* section Referencie mit Gallery--------------------------- */
    .galerie {
        color: whitesmoke;
        background-color: #555555;
        border-radius: 6px;
    }
    .gal-row {
        margin: 2rem 0;
    }
    .gal-row, .gal-row > .gal-column {
        padding: 8px;
    }
    .gal-column {
        float: left;
        width: calc(100%/3);
    }
    .gal-content {
        height: 30vh;
        border: 1px solid #ddd;
        border-radius: 5px;
        overflow: hidden;
    }
    .gal-content:hover {
        border-color: yellowgreen;
        box-shadow: 0 0 2px 1px yellowgreen;
    }
    .gal-content img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: 0.5s;
        opacity: 1;
    }
    .gal-content:hover img {
        transform: scale(1.1);
        opacity: 0.8;
        transition: 0.5s;
    }
    /* footer Bereich ------------------------------- */
    footer {
        background-color: dimgray;
        color: whitesmoke;
        padding-bottom: 20px;
    }
    footer > div > div {
        float: left;
        width: calc(100%/3);
        padding: 20px 50px;
    }
    footer > div > div a {
        text-decoration: none;
        color: inherit;
    }
    footer > div > div a:hover {
        color: yellowgreen;
    }
    footer > p {
        text-align: right;
    }
    /* Back to Top formatierung --------------------- */
    #back-top {
        position: fixed;
        bottom: 2rem;
        right: 2rem;
        display: none;
    }
    #back-top a {
        display: block;
        text-decoration: none;
        color: #ddd;
        background: rgba(0, 0, 0, 0.6);
        padding: 0.8rem 1rem 1rem 1rem;
        border-radius: 15%;
    }
    #back-top a:hover i {
        transform: translateY(-10px);
        transition: 1s ease-out;
    }
    /* Sluzby Bereich ------------------------------ */
    #sluzby > article {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }
    .side {
        flex: 30%;
        padding: 1rem 1rem 0 0;
    }
    .main {
        flex: 60%;
        padding: 1rem 0 0 1rem;
    }
    /* Kontakt Bereich ------------------------------ */
    #kontakt > article {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }
    #formular {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        margin: 15px -15px;
    }
    #formular input:hover, textarea:hover {
        border: 2px solid yellowgreen;
    }
    #formular input[type="submit"]:hover {
        background-color: dimgray;
        color: yellowgreen;
    }
    #formular p {
        margin: 10px 0;
    }
    .form-input50 {
        flex: 0 0 50%;
        max-width: 50%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .form-input100 {
        flex: 0 0 100%;
        max-width: 100%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .form-cb {
        font-size: 0.8rem;
    }
    .form-submit {
        text-align: center;
    }
    #formular input, textarea {
        font: inherit;
        width: 100%;
        height: 40px;
        border: 2px solid #a9a9a9;
        border-radius: 4px;
        padding: 5px;
    }
    #formular textarea {
        min-height: 150px;
    }
    #formular input[type="checkbox"] {
        width: auto;
        height: auto;
        margin-right: 20px;
        display: inline-block;
    }
    #formular input[type="submit"] {
        width: auto;
        height: auto;
    }
    /* freie Klassen ---------------------------------*/
    .h-cust1 {
        color: yellowgreen;
        border-bottom: 1px solid;
        padding-bottom: 5px;
        margin-bottom: 5px;
        text-align: left;
    }
    .center {
        text-align: center;
    }
    .pad50 {
        padding: 0 50px;
    }
    .ul-cust1 {
        padding: 0.5rem 0 0.5rem 2rem;
    }
    .ol-cust1 {
        padding: 0.5rem 0 0.5rem 2rem;
    }
    .cus-span {
        color: yellowgreen;
        text-shadow: 1px 1px 3px;
    }
    .art-img {
        width: 350px;
        margin: 1vh 1vh 1vh 0;
    }
    .content {
        background-color: #FFFFFF;
        box-shadow: 0 15px 15px #888;
    }
    .clearfix::after {
        content: "";
        display: block;
        clear: both;
    }
    .wrapper {
        max-width: 1200px;
        margin: 0 auto;
        padding: 0 2%;
    }
}
/*  Mobile version ---------------------------------------------------- */
/*  Mobile version ---------------------------------------------------- */
@media screen and (max-width:900px) {
    body {
        background: #FFFFFF;
    }
    h1 {
        text-align: center;
        padding: 2rem 0;
    }
    h1.underline {
        border-bottom: 1px solid #ebebeb;
    }
    h3 {
        color: yellowgreen;
        border-bottom: 1px solid;
        padding-bottom: 5px;
        margin-bottom: 5px;
    }
    p {
        margin: 20px 0;
    }
    article {
        margin: 2rem 0;
    }
    section {
        margin: 1rem 0;
    }
    main {
        padding: 0 50px;
    }
    .lineh1-5rem p {
        line-height: 1.5rem;
    }
    /* Header Bereich --------------------------------*/
    header {
        background-color: dimgray;
        color: whitesmoke;
        line-height: 2rem;
    }
    .left-top-bar {
        margin: 0 10px;
    }
    .middle-top-bar {
        margin: 0 10px;
    }
    .right-top-bar {
        margin: 0 10px;
    }
    .left-top-bar i {
        margin: 0 5px 0 0;
    }
    .middle-top-bar a {
        color: whitesmoke;
        font-size: 1.5rem;
        margin: 0 5px;
    }
    .fa-facebook:hover {
        color: yellowgreen;
    }
    .fa-instagram:hover {
        color: yellowgreen;
    }
    span.right-top-bar img:hover {
        filter: grayscale(0.5);
    }
    /* topnav container ----------------------------------- */
    #topnav-container {
        background: #ffffff;
        z-index: 100;
    }
    #nav-flex-cont {
        height: auto;
    }
    #nav-flex-cont > img {
        width: 80px;
        padding: 5px;
    }
    #nav-flex-cont > div:first-of-type {
        display: inline-block;
        padding: 0px 2vw;
    }
    #nav-flex-cont > div > p {
        color: yellowgreen;
        font-size: 1.5rem;
        font-weight: bold;
        text-shadow: 1px 1px 3px;
        letter-spacing: 5px;
    }
    #nav-flex-cont > div > p > span {
        color: #444;
        font-weight: normal;
        text-shadow: none;
        border-top: 1px solid;
        font-size: 0.7rem;
        letter-spacing: 2.5px;
        margin-top: 5px;
        padding-top: 2px;
    }
    /* mobile navigation ------------------------------------*/
    input[id^="navchecker"] {
        display: none;
    }
    #topnav {
        background: dimgray;
        position: fixed;
        top: 71px;
        right: -200px;
        width: 200px;
        transition: 0.5s;
        z-index: 10;
    }
    #navchecker:checked ~ #topnav {
        right: 0px;
    }
    #topnav p {
        position: fixed;
        right: 0;
        top: 51px;
        background: dimgray;
        width: 2.5rem;
        line-height: 2.5rem;
        text-align: center;
        font-weight: bold;
        font-size: 1.5rem;
    }
    #topnav ul {
        list-style: none;
    }
    #topnav a {
        text-decoration: none;
        color: whitesmoke;
        line-height: 2.5rem;
        border-bottom: 1px solid yellowgreen;
        display: block;
        padding-left: 1.25rem;
    }
    #topnav li:last-of-type a {
        border: none;
    }
    #topnav a:hover {
        color: yellowgreen;
        font-weight: bold;
    }
    #topnav label:after {
        content: "\2261";
        color: whitesmoke;
        display: block;
        cursor: pointer;
        transition: 1s 0.5s;
    }
    #navchecker:checked ~ #topnav label:after {
        content: "\2716";
        color: whitesmoke;
    }
    /* main Bereich ---------------------------------- */
    /* Bereich 3 IMG mit lists für "Sluzby" */
    .rahmen {
        width: auto;
        height: 400px;
        position: relative;
        overflow: hidden;
        background: dimgray;
    }
    .rahmen img {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        object-fit: cover;
    }
    .rahmen ul {
        list-style: none;
    }
    .rahmen a {
        text-decoration: none;
        color: inherit;
    }
    .rahmen a:hover {
        color: yellowgreen;
    }
    .rahmen:hover img {
        opacity: 0.1;
    }
    /* 3-Spaltigkeit für Sluzby - h2 -------------------------- */
    .rahmen h2 {
        position: absolute;
        top: 88%;
        left: 3%;
        color: black;
        transition: 1s;
    }
    .rahmen h2::before {
        content: "";
        display: block;
        height: 5px;
        width: 50px;
        margin-bottom: 5px;
        background-color: red;
    }
    .rahmen:hover h2 {
        top: 5%;
        color: yellowgreen;
    }
    .rahmen:hover h2::before {
        content: "";
        display: block;
        height: 5px;
        width: 50px;
        margin-bottom: 2px;
        background-color: yellowgreen;
    }
    /* ul ------------------------*/
    .rahmen ul {
        position: absolute;
        top: 100%;
        left: 3%;
        color: whitesmoke;
        line-height: 150%;
        transition: 1s;
    }
    .rahmen:hover ul {
        top: 20%;
    }
    /* section naradie Bereich --------------------- */
    #naradie article img {
        text-align: center;
        /*float: left;*/
    }
    #naradie figure img {
        height: 4vh;
        margin: 1vh;
    }
    /* section partneri Bereich --------------------- */
    #partneri figure img {
        height: 12vh;
        margin: 1vh;
        border: 3px solid #a9a9a9;
        padding: 1vh;
    }
    #partneri figure img:hover {
        border-color: yellowgreen;
    }
    #partneri figure figcaption {
        text-align: center;
    }
    /* section Referencie mit Gallery--------------------------- */
    .galerie {
        color: whitesmoke;
        background-color: #555555;
        border-radius: 6px;
    }
    .gal-row {
        margin: 2rem 0;
    }
    .gal-row, .gal-row > .gal-column {
        padding: 8px;
    }
    .gal-column {
        width: auto;
    }
    .gal-content {
        height: 30vh;
        border: 1px solid #ddd;
        border-radius: 5px;
        overflow: hidden;
    }
    .gal-content:hover {
        border-color: yellowgreen;
        box-shadow: 0 0 2px 1px yellowgreen;
    }
    .gal-content img {
        width: 100%;
        height: 100%;
        object-fit: cover;
        transition: 0.5s;
        opacity: 1;
    }
    .gal-content:hover img {
        transform: scale(1.1);
        opacity: 0.8;
        transition: 0.5s;
    }
    /* footer Bereich ------------------------------- */
    footer {
        background-color: dimgray;
        color: whitesmoke;
        padding-bottom: 20px;
    }
    footer > div > div {
        width: auto;
        padding: 10px 50px;
    }
    footer > div > div a {
        text-decoration: none;
        color: inherit;
    }
    footer > div > div a:hover {
        color: yellowgreen;
    }
    footer > p {
        text-align: left;
    }
    /* Back to Top formatierung --------------------- */
    #back-top {
        position: fixed;
        bottom: 1rem;
        right: 1rem;
        display: none;
    }
    #back-top a {
        display: block;
        text-decoration: none;
        color: #ddd;
        background: rgba(0, 0, 0, 0.6);
        padding: 0.8rem 1rem 1rem 1rem;
        border-radius: 25%;
    }
    #back-top a:hover i {
        transform: translateY(-10px);
        transition: 1s ease-out;
    }
    /* Sluzby Bereich ------------------------------ */
    #sluzby > article {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        flex-direction: column;
    }
    .side {
        flex: 30%;
        padding: 1rem 1rem 0 0;
    }
    .main {
        flex: 60%;
        padding: 1rem 0 0 1rem;
    }
    /* Kontakt Bereich ------------------------------ */
    #kontakt > article {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
    }
    #formular {
        display: -ms-flexbox;
        display: flex;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        margin: 15px -15px;
    }
    #formular input:hover, textarea:hover {
        border: 2px solid yellowgreen;
    }
    #formular input[type="submit"]:hover {
        background-color: dimgray;
        color: yellowgreen;
    }
    #formular p {
        margin: 10px 0;
    }
    .form-input50 {
        flex: 0 0 50%;
        max-width: 50%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .form-input100 {
        flex: 0 0 100%;
        max-width: 100%;
        padding-right: 15px;
        padding-left: 15px;
    }
    .form-cb {
        font-size: 0.8rem;
    }
    .form-submit {
        text-align: center;
    }
    #formular input, textarea {
        font: inherit;
        width: 100%;
        height: 40px;
        border: 2px solid #a9a9a9;
        border-radius: 4px;
        padding: 5px;
    }
    #formular textarea {
        min-height: 150px;
    }
    #formular input[type="checkbox"] {
        width: auto;
        height: auto;
        margin-right: 20px;
        display: inline-block;
    }
    #formular input[type="submit"] {
        width: auto;
        height: auto;
    }
    /* freie Klassen ---------------------------------*/
    .h-cust1 {
        color: yellowgreen;
        border-bottom: 1px solid;
        padding-bottom: 5px;
        margin-bottom: 5px;
        text-align: left;
    }
    .center {
        text-align: center;
    }
    .pad50 {
        padding: 0 10px;
    }
    .ul-cust1 {
        padding: 0.5rem 0 0.5rem 2rem;
    }
    .ol-cust1 {
        padding: 0.5rem 0 0.5rem 2rem;
    }
    .cus-span {
        color: yellowgreen;
        text-shadow: 1px 1px 3px;
    }
    .art-img {
        width: 350px;
        margin: 1vh 1vh 1vh 0;
    }
}